# Class LoopStarTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.table.RandomStarTable
uk.ac.starlink.table.ColumnStarTable
uk.ac.starlink.table.LoopStarTable

All Implemented Interfaces:
  `Closeable, AutoCloseable, StarTable`

public class LoopStarTable extends ColumnStarTable
Single-column table whose column values are the values of a loop iterator variable.

Since:
  6 Nov 2013
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class ColumnStarTable

`columns_`

## Constructor Summary

Constructors
Constructor
Description
`LoopStarTable(String colName, double start, double end, double step, Boolean isInteger)`
Constructs a loop table from values like the initialisers of a for loop.

## Method Summary

Modifier and Type
Method
Description
`long`
`getRowCount()`
Gets the number of rows in the table (which must be applicable to all the columns).

### Methods inherited from class ColumnStarTable

`addColumn, getCell, getColumnCount, getColumnData, getColumnInfo, makeTableWithRows, setCell, setColumn`

### Methods inherited from class RandomStarTable

`getRowAccess, getRowSequence, isRandom`

### Methods inherited from class AbstractStarTable

`checkedLongToInt, close, getColumnAuxDataInfos, getName, getParameters, getRow, getRowSplittable, getURL, setName, setParameters, setURL`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface StarTable

`getParameterByName, setParameter`

## Constructor Details

### LoopStarTable

public LoopStarTable(String colName, double start, double end, double step, Boolean isInteger)
Constructs a loop table from values like the initialisers of a for loop. The `isInteger` parameter may be set True for an integer column, False for a Double column, and null if the type is to be determined from the input values (integer if all are integers). Integer columns are 32-bit if the values permit, otherwise 64-bit.

Parameters:
  `colName` - name of the single column name in the table
  `start` - initial (row 0) value of variable
  `end` - value which variable will not exceed
  `step` - per-row increment of variable

## Method Details

### getRowCount

public long getRowCount()
Description copied from class: `ColumnStarTable`
Gets the number of rows in the table (which must be applicable to all the columns). Since this is a `RandomStarTable` the return value must be non-negative.

Specified by:
  `getRowCount` in interface `StarTable`
Specified by:
  `getRowCount` in class `ColumnStarTable`
Returns:
  number of rows